Subject: Re: Problems with FvwmButtons

From: Giuseppe Della Ricca <[email-masked]>
Date: Thu, 26 Nov 1998 13:35:48 +0100 (MET)

Tim Phipps wrote:
> Giuseppe Della Ricca wrote:
> > *FvwmButtons(     Swallow(Close,Kill,NoOld) "XBiff-BB" \
> > *FvwmButtons(     Swallow(Close,Kill,NoUse) "XLoad-BB" \
> > *FvwmButtons(5x1, Swallow(Close,Kill,NoUse) "FvwmPager" "FvwmPager 0 4")
> 
> The NoUse doesn't exist but that's not your problem.  If xbiff is not
> dying and you want it to be reused when you restart FvwmButtons you
> should use the UseOld option.  The NoOld option tells FvwmButtons to
> ignore any existing windows called XBiff-BB and to start a new one to
> swallow.

It was NoOld for all the buttons ... I wrote the mail while making the
test and messed up things a little ... 

> At the moment it looks like the Kill/NoKill flag is useless. What
> happens is that when the FvwmButtons window is destroyed the swallowed
> windows get sent events (anybody know what?) and some programs quit
> (xload, pager) and others don't. A workaround for you is to use the
> UseOld flag for XBiff.

I've tried that, but since, after killing FvwmButtons, xbiff is in 
"ps -u dellaric | grep iff" but *not* in "xlswins | grep iff", FvwmButtons
can't swallow it (please correct me if I'm wrong).

> The reason for the commenting out is that some modules wouldn't die when
> the X-server exited and would go into an endless loop.  Most modules
> don't run other programs and so the correct behaviour is to just die on
> any signal.  FvwmButtons is one exception and maybe it should be fixed. 
> At the moment it's not as broken as it was.

Ok, that's definitely more important.

cheers,
Giuseppe.

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].